Bug 31224 - mutt зависает при запуске из cron
: mutt зависает при запуске из cron
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mutt)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2015-08-23 01:53 by
Modified: 2016-04-25 17:25 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2015-08-23 01:53:53
0x000000000041f9ab in mutt_ts_capability () at ../curs_main.c:169
169        if (term && *termp && mutt_strncasecmp (term, *termp,
strlen(*termp)))
(gdb) bt
#0  0x000000000041f9ab in mutt_ts_capability () at ../curs_main.c:169
#1  0x0000000000406b63 in main (argc=2, argv=0x7fff2b163e08) at ../main.c:811


0x000000000041f9d3 in mutt_ts_capability () at ../curs_main.c:167
167      for (termp = known; termp; termp++)
(gdb) bt
#0  0x000000000041f9d3 in mutt_ts_capability () at ../curs_main.c:167
#1  0x0000000000406b63 in main (argc=2, argv=0x7fff2b163e08) at ../main.c:811

165      /* Check term types that are known to support the standard escape
without
166       * necessarily asserting it in terminfo. */
167      for (termp = known; termp; termp++)
168      {
169        if (term && *termp && mutt_strncasecmp (term, *termp,
strlen(*termp)))
170          return 1;
171      }


$ epmqf mutt-default
Note: mutt-default is placed as /usr/bin/mutt-default
 $ rpm -qf /usr/bin/mutt-default
mutt-default-1.5.23.88.hg577987ca2d02-alt1
------- Comment #1 From 2015-08-23 01:57:02 -------
(gdb) print known
$2 = {0x49e798 "color-xterm", 0x49e7a4 "cygwin", 0x49e7ab "eterm", 0x49e7b1
"kterm", 0x49e7b7 "nxterm", 0x49e7be "putty", 0x49e7c4 "rxvt", 0x4a41da
"screen", 0x49e79e "xterm", 0x0

(gdb) print term
$3 = 0x0

А что, неплохо попасть в этот цикл с term == 0 :)
------- Comment #2 From 2015-08-23 02:04:07 -------
> 167      for (termp = known; termp; termp++)
видимо, проверка должна быть с разыменованием termp:
 167      for (termp = known; *termp; termp++)
------- Comment #3 From 2015-08-23 08:50:07 -------
У меня, между прочим, не зависает.
------- Comment #4 From 2015-08-23 17:25:34 -------
(В ответ на комментарий №3)
> У меня, между прочим, не зависает.
У вас терминал color-xterm? :)

И ещё мне кажется, что там пропущен ! перед mutt_strncasecmp

А так, да, наверняка у меня возвращается null здесь:
tcaps = tigetstr("tsl");
------- Comment #5 From 2016-04-25 17:25:19 -------
mutt-3:1.6-alt1 -> sisyphus:

* Mon Apr 25 2016 Gleb F-Malinovskiy <glebfm@altlinux> 3:1.6-alt1
- Updated to mutt-1-6-rel (ALT#31943).
- Fixed hang with empty TERM env variable (ALT#31224).